#
# spec file for package python-whitenoise
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-whitenoise
Version:        4.1.3
Release:        bp156.3.2
Summary:        Static file serving for WSGI applications
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/evansd/whitenoise
Source:         https://files.pythonhosted.org/packages/source/w/whitenoise/whitenoise-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Suggests:       python-Brotli
BuildArch:      noarch

%python_subpackages

%description
Static file serving for WSGI applications.

%prep
%setup -q -n whitenoise-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 4.1.3:
  * Fix handling of zero-valued mtimes which can occur when running on some filesystems
  * Fix potential path traversal attack while running in autorefresh mode on Windows
* Sun Jul  7 2019 Jan Engelhardt <jengelh@inai.de>
- Ensure descriptions are neutral and not exaggerated.
* Wed Jun 19 2019 Thomas Bechtold <tbechtold@suse.com>
- Initial packaging (version 4.1.2)
